#ifndef _H_PKT_SX_H_
#define _H_PKT_SX_H_
////////////////////////////////////////////////////////////////////////////
#include "pkt.h"
#include "pkt_sx_ctrl.h"
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
#define PKT_SX_START_TAG 0xc5
#define PKT_SX_MAXSIZE 0xff

#define PKT_SX_TYPE_STATE 0x10
#define PKT_SX_TYPE_SENSOR 0x20
#define PKT_SX_TYPE_RESPOND 0x90
#define PKT_SX_TYPE_FREE_CTRL 0x50
#define PKT_SX_TYPE_LIMIT_CTRL 0x40
#define PKT_SX_TYPE_MODE 0x30
#define PKT_SX_TYPE_MODE_BYPASS 0x03
#define PKT_SX_TYPE_MODE_STOP 0x04

#define PKT_SX_SIZE_STATE 0x01
#define PKT_SX_SIZE_SENSOR 0x50
#define PKT_SX_SIZE_FREE_CTRL 0x4
#define PKT_SX_SIZE_LIMIT_CTRL 0x6
#define PKT_SX_SIZE_MODE 0x1
////////////////////////////////////////////////////////////////////////////
#define PKT_SX_INFRARED_ACTIVE_DISTANCE 30//MM
#define PKT_SX_ULTRAL_VALID_DISTANCE_MAX 150
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
int pkt_parse_sx ( xchain * data , xlist * result ) ;
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////
#endif