#ifndef __H_XLOG_H__
#define __H_XLOG_H__
//////////////////////////////////////////////////////////////////////////
#include "afx.h"
#include "xtime.h"
#include <stdarg.h>
//////////////////////////////////////////////////////////////////////////
extern int xlog_printstdout ;
//////////////////////////////////////////////////////////////////////////
void getself ( char * buffer , int size ) ;
void getworkspace ( char * buffer , int size ) ;
//////////////////////////////////////////////////////////////////////////
/* log */
void loginit ( int level , char * logfile ) ;
void logwrite(int level, const char* fmt, ...) ;
//////////////////////////////////////////////////////////////////////////
#define XLOGBUFFERSIZE (1024 * 1024)
#define VLOG 1
#define VDBG 2
#define VERR 4
#define VALL 7
//////////////////////////////////////////////////////////////////////////
#define xmessage(...) logwrite(VLOG,__VA_ARGS__)
#define xdebug(...) logwrite(VDBG,__VA_ARGS__)
#define xerror(...) logwrite(VERR,__VA_ARGS__)
#define xassert assert
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
#endif
